#import <Cocoa/Cocoa.h>
#import "Account.h"

@interface Bank : NSObject <NSCoding> {
	NSMutableArray *bankContainer;
}

-(id) initialize;

-(void) addToBank: (Account *) theAccount;
-(void) removeAcc: (Account *) theAccount;

-(Account *) lookup: (NSString *) theName;
-(void) printAllEntries;
-(void) sort;

-(void) encodeWithCoder: (NSCoder *) encoder;
-(id) initWithCoder: (NSCoder *) decoder;

-(void) dealloc;


@end
